Package org.springframework.security.acls.model

# Interface Sid

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `GrantedAuthoritySid`, `PrincipalSid`

public interface Sid extends Serializable
A security identity recognised by the ACL system.

This interface provides indirection between actual security objects (eg principals, roles, groups etc) and what is stored inside an `Acl`. This is because an `Acl` will not store an entire security object, but only an abstraction of it. This interface therefore provides a simple way to compare these abstracted security identities with other security identities and actual security objects.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Refer to the `java.lang.Object` documentation for the interface contract.
`int`
`hashCode()`
Refer to the `java.lang.Object` documentation for the interface contract.

## Method Details

### equals

boolean equals(Object obj)
Refer to the `java.lang.Object` documentation for the interface contract.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - to be compared
Returns:
  `true` if the objects are equal, `false` otherwise

### hashCode

int hashCode()
Refer to the `java.lang.Object` documentation for the interface contract.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code representation of this object